使用 vSphere CLI 可以升級、更新或修補 ESXi 5.x 主機。

無法使用 esxcli 命令將 4.x 版本的 ESX 或 ESXi 主機升級到 ESXi 5.x。若要將 4.x 版本的 ESX 或 ESXi 主機升級到 ESXi 5.x,請使用 vSphere Update Manager 或執行互動式或指令碼式升級。

若要使用 esxcli vCLI 命令,必須安裝 vSphere CLI (vCLI)。如需有關安裝和使用 vSphere CLI 的詳細資訊,請參閱以下文件:

  • vSphere 命令列介面入門

  • vSphere 命令列介面概念和範例

  • vSphere 命令列介面參考vicfg- 和相關的 vCLI 命令的參考。

備註︰

如果在 esxcli 命令執行時按 Ctrl+C,命令列介面將結束到新的提示字元,而不顯示訊息。但是,命令將繼續執行直至完成。

對於使用 vSphere Auto Deploy 部署的 ESXi 主機,工具 VIB 必須是用於初始 Auto Deploy 安裝之基礎開機映像的一部分。以後不能單獨新增工具 VIB。